CGAL 6.2 - 3D Mesh Generation: CGAL::Mesh_cell_criteria_3< Tr > Class Template Reference

CGAL 6.2 - 3D Mesh Generation

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Mesh_cell_criteria_3< Tr > Class Template Reference
Reference Manual » Mesh Classes

`#include <CGAL/Mesh_cell_criteria_3.h>`

## Definition

template<typename Tr>
class CGAL::Mesh_cell_criteria_3< Tr >

The class `Mesh_cell_criteria_3` is a model of `MeshCellCriteria_3`.

It provides, for the mesh tetrahedra, a uniform shape criterion and a sizing field which may be a uniform or variable field.

Template Parameters

  Tr | must be identical to the nested type `Triangulation` of the instance used as model of `MeshComplex_3InTriangulation_3`.

Is model of
  `MeshCellCriteria_3`

See also
  `MeshCriteria_3`
  `CGAL::Mesh_criteria_3<Tr>`
  `CGAL::make_mesh_3()`

## Public Member Functions
Is_cell_bad | operator() (const Tr &tr, const Cell_handle &cell) const
| returns whether the cell `cell` is bad or not.

## Types
typedef Tr::Geom_traits::FT | FT
| Numerical type.

## Creation
| Mesh_cell_criteria_3 (const FT &radius_edge_bound, const FT &radius_bound, const FT &min_radius_bound=0.)
| Returns an object to serve as default criteria for cells.
template<typename Sizing_field >
| Mesh_cell_criteria_3 (const FT &radius_edge_bound, const Sizing_field &radius_bound, const FT &min_radius_bound=0.)
| Returns an object to serve as default criteria for facets.

## Constructor & Destructor Documentation

## ◆ Mesh_cell_criteria_3() [1/2]

template<typename Tr >

CGAL::Mesh_cell_criteria_3< Tr >::Mesh_cell_criteria_3 | ( | const FT & | radius_edge_bound,
|  | const FT & | radius_bound,
|  | const FT & | min_radius_bound = `0.`
| ) |  |

Returns an object to serve as default criteria for cells.

Parameters

  radius_edge_bound | is the upper bound for the radius-edge ratio of the tetrahedra.
  radius_bound | is a uniform upper bound for the circumradii of the tetrahedra in the mesh
  min_radius_bound | is a uniform lower bound for the circumradii of the tetrahedra in the mesh. Only cells with a circumradius larger than that bound will be refined.

See Section introsecparam for further details. Note that if one parameter is set to 0, then its corresponding criterion is ignored.

## ◆ Mesh_cell_criteria_3() [2/2]

template<typename Tr >
template<typename Sizing_field >

CGAL::Mesh_cell_criteria_3< Tr >::Mesh_cell_criteria_3 | ( | const FT & | radius_edge_bound,
|  | const Sizing_field & | radius_bound,
|  | const FT & | min_radius_bound = `0.`
| ) |  |

Returns an object to serve as default criteria for facets.

Template Parameters

  SizingField | must be a model of the concept `MeshDomainField_3`.

The behavior and semantic of the arguments are the same as above, except that the radius bound parameter is a functional instead of a constant.

## Member Function Documentation

## ◆ operator()()

template<typename Tr >

Is_cell_bad CGAL::Mesh_cell_criteria_3< Tr >::operator() | ( | const Tr & | tr,
|  | const Cell_handle & | cell
| ) |  | const

returns whether the cell `cell` is bad or not.

Parameters

  tr | the triangulation within which `cell` lives
  cell | the cell